New mint-debian-mirrors package

deb http://debian.linuxmint.com
Forum rules
Before you post please read how to get help

Re: New mint-debian-mirrors package

Postby pgreat on Mon Jan 07, 2013 5:07 pm

clem wrote:Ok, we'll try to add support for proxies. Can you confirm it currently fails graciously and doesn't impact the system?


Hi Clem,

The lack of proxy support is still a problem today ( 07-JAN-2012, after UP6 install) ;
is there any update on when this might be able to get resolved?

Thank you!
Paul

# ------------------------------------------
(pgreat@starfire) ~/Desktop
$ mint-choose-debian-mirror
Current server: 'http://debian.linuxmint.com' (latest)
An error occurred: Failed to connect to 2001:41d0:8:4cc3::1: Network is unreachable
An error occurred: connect() timed out!
An error occurred: connect() timed out!


# ------------------------------------------
(pgreat@starfire) ~/Desktop
$ apt policy mint-debian-mirrors
mint-debian-mirrors:
Installed: 2012.12.19
Candidate: 2012.12.19
Version table:
*** 2012.12.19 0
700 http://packages.linuxmint.com/ debian/main amd64 Packages
100 /var/lib/dpkg/status

# ------------------------------------------
(pgreat@starfire) ~/Desktop
$ ip -f inet addr
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN
inet 127.0.0.1/8 scope host lo
2: eth1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
inet 16.123.78.150/22 brd 16.123.79.255 scope global eth1
pgreat
Level 1
Level 1
 
Posts: 5
Joined: Mon Sep 19, 2011 10:34 am

Linux Mint is funded by ads and donations.
 

Re: New mint-debian-mirrors package

Postby Hansl on Tue Mar 19, 2013 9:14 am

Well, hunting after these changing source lines is a constant PITA for the halfway experienced user and a real danger for newbies who, in their confusion, are googling and blindly trying whatever they find.

For some time those source lines seemed to work fine (running LMDE) —

Code: Select all
deb http://packages.linuxmint.com/latest testing main contrib non-free
deb http://packages.linuxmint.com/latest/security testing/updates main contrib non-free
deb http://packages.linuxmint.com/latest/multimedia testing main non-free

but since some weeks they keep returning errors. Changing the mirrors doesn't help.

Now, visiting the forums here again, I gladly note in LMDE | Update Packs Repositories on the very top a board called "Linux Mint Debian Latest" advertising " deb http://debian.linuxmint.com/latest testing main contrib non-free" and it's source companion in its subtitle. So it is now //debian instead of //packages throughout? Fine, but what about latest/security and latest/multimedia? No explanation to see. Have the three now merged, or is it naturally to add these two out of one's own accord? On the other hand, the "deb src" line advertised in the board's subtitle surely is not needed for plain common users. The experienced know that, but then they also would know of their own what to add when they really needed the sources. And all users must watch out not to confuse the Debian and Ubuntu editions.

In another current thread zerozero (thank you!) now lists —

Code: Select all
deb http://packages.linuxmint.com/ debian main upstream import
deb http://debian.linuxmint.com/latest testing main contrib non-free
deb http://debian.linuxmint.com/latest/security testing/updates main contrib non-free
deb http://debian.linuxmint.com/latest/multimedia testing main non-free

which seems to be the right thing at the moment. But that's in the thread "We need more testers to the new incoming repo (how-to)" where I wouldn't exactly start to look for current stable sources...

In short: I would very much like to see an official, complete and up-to-date example sources.lst on the LMDE web page as well as a prominent sticky and closed thread in the forum (just the current sources, gladly with explanation and history, but without distracting and possibly misleading comments). Please! That would also clarify in case of difficulties whether the repos really have changed again or it is just a mirror hiccup.

Thank you, Hans
Hansl
Level 1
Level 1
 
Posts: 17
Joined: Fri Dec 09, 2011 3:50 pm

Re: New mint-debian-mirrors package

Postby tbplayer on Mon Apr 29, 2013 3:48 pm

Hansl wrote:In another current thread zerozero (thank you!) now lists —

Code: Select all
deb http://packages.linuxmint.com/ debian main upstream import
deb http://debian.linuxmint.com/latest testing main contrib non-free
deb http://debian.linuxmint.com/latest/security testing/updates main contrib non-free
deb http://debian.linuxmint.com/latest/multimedia testing main non-free



OK, probably total noob question here... if using these sources does that mean I should disable the Ubuntu sources?
User avatar
tbplayer
Level 1
Level 1
 
Posts: 11
Joined: Mon Apr 29, 2013 3:35 pm

Re: New mint-debian-mirrors package

Postby zerozero on Mon Apr 29, 2013 5:27 pm

tbplayer wrote:OK, probably total noob question here... if using these sources does that mean I should disable the Ubuntu sources?

if you are using the ubuntu-based edition of mint this is NOT for you.
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6493
Joined: Tue Jul 07, 2009 2:29 pm

Re: New mint-debian-mirrors package

Postby tbplayer on Mon Apr 29, 2013 10:37 pm

zerozero wrote:if you are using the ubuntu-based edition of mint this is NOT for you.


Ah, OK, thanks. Just learning Mint - so I assume that the Ubuntu-based LM is not compatible with the Debian-based LMDE?
User avatar
tbplayer
Level 1
Level 1
 
Posts: 11
Joined: Mon Apr 29, 2013 3:35 pm

Re: New mint-debian-mirrors package

Postby elboy71 on Wed May 01, 2013 3:11 am

tbplayer wrote:
zerozero wrote:if you are using the ubuntu-based edition of mint this is NOT for you.


Ah, OK, thanks. Just learning Mint - so I assume that the Ubuntu-based LM is not compatible with the Debian-based LMDE?


Source:

http://blog.linuxmint.com/?p=2346

1. Is LMDE compatible with Ubuntu-based Linux Mint editions?

No, it is not. LMDE is compatible with Debian, which isn’t compatible with Ubuntu.


Question answered.
User avatar
elboy71
Level 1
Level 1
 
Posts: 10
Joined: Sat Aug 07, 2010 3:01 am

Re: New mint-debian-mirrors package

Postby tbplayer on Fri May 03, 2013 12:53 pm

elboy71 wrote:
tbplayer wrote:
zerozero wrote:if you are using the ubuntu-based edition of mint this is NOT for you.


Ah, OK, thanks. Just learning Mint - so I assume that the Ubuntu-based LM is not compatible with the Debian-based LMDE?


Source:

http://blog.linuxmint.com/?p=2346

1. Is LMDE compatible with Ubuntu-based Linux Mint editions?

No, it is not. LMDE is compatible with Debian, which isn’t compatible with Ubuntu.


Question answered.


Thanks. I missed that part of the announcement. :)
User avatar
tbplayer
Level 1
Level 1
 
Posts: 11
Joined: Mon Apr 29, 2013 3:35 pm

Re: New mint-debian-mirrors package

Postby alexboss on Mon Nov 04, 2013 10:19 am

clem wrote:Ok, we'll try to add support for proxies. Can you confirm it currently fails graciously and doesn't impact the system?


Hello,

For your information, not sure support has been added for proxies; but it fails graciously and doesn't impact the system.

Output from command line:
alexboss@alexboss ~ $ sudo mint-choose-debian-mirror
Current server: 'http://debian.linuxmint.com' (latest)
An error occurred: Failed to connect to 2001:41d0:8:e386::1: Network is unreachable
An error occurred: Failed connect to debian.lth.se:80; Connection refused
An error occurred: Failed connect to lmde-mirror.gwendallebihan.net:80; Connection refused
An error occurred: Failed connect to debian.linuxmint.com:80; Connection refused
An error occurred: Failed connect to tux.rainside.sk:80; Connection refused
An error occurred: Failed connect to http://www.mirrorservice.org:80; Connection refused
An error occurred: Failed connect to mirror.internode.on.net:80; Connection refused
An error occurred: Failed to connect to 2606:f400:400:0:65:175:128:102: Network is unreachable
An error occurred: Failed to connect to 2001:690:2200:9a01::50:143: Network is unreachable
An error occurred: Failed to connect to 2001:700:1300:feed::141: Network is unreachable
An error occurred: Failed connect to ucmirror.canterbury.ac.nz:80; Connection refused
An error occurred: Failed to connect to 2001:660:3004:4003::37:80: Network is unreachable
An error occurred: Failed to connect to 2a00:1f00:dc06:10::106: Network is unreachable
An error occurred: Failed to connect to 2001:df0:2ed:feed::feed: Network is unreachable
An error occurred: Failed connect to linuxmint-apt.killerhorse.eu:80; Connection refused
Best server: None


And, when launched form the Updated Manager (with the option "Select Best Server"), the error displayed is:

No suitable server was found - Please check your internet connection


For information:
  • LMDE update pack 7
  • Proxy set via
    • http_proxy / HTTP_PROXY env variables
    • system network proxy (manual)

Best regards,

Alexboss 8)
alexboss
Level 1
Level 1
 
Posts: 11
Joined: Fri Jun 15, 2012 8:10 am

Re: New mint-debian-mirrors package

Postby mauromol on Tue Nov 19, 2013 12:39 pm

I opened the following bug for mint-choose-debian-mirror not supporting proxies:
https://bugs.launchpad.net/linuxmint/+bug/1252794
mauromol
Level 1
Level 1
 
Posts: 31
Joined: Wed Jul 13, 2011 6:46 am
Location: Pino Torinese (TO) - Italy

Linux Mint is funded by ads and donations.
 
Previous

Return to Update Packs Repositories

Who is online

Users browsing this forum: No registered users and 1 guest